Subject: Re: [PATCH] gcc-plugins: disable under COMPILE_TEST

From: Emese Revfy <[email-masked]>
Date: Mon, 13 Jun 2016 02:18:31 +0200

On Sun, 12 Jun 2016 15:25:39 -0700
Kees Cook <[email-masked]> wrote:

> I don't like this because it means if someone specifically selects
> some plugins in their .config, and the headers are missing, the kernel
> will successfully compile. For many plugins, this results in a kernel
> that lacks the requested security features, and that I really do not
> want to have happening. I'm okay leaving these disabled for compile
> tests for now. We can revisit this once more distros have plugins
> enabled by default.

You are right. Your patch is safer.

-- 
Emese